=== debian/changelog ===
freeradius (3.0.17+dfsg-1ubuntu2) disco; urgency=medium

  * No-change rebuild against mysql 5.7, reverting the deferred mysql-8.0
    transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Feb 2019 10:46:18 -0800

freeradius (3.0.17+dfsg-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: drop b-d on collectd, as it is in universe.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 05 Feb 2019 13:11:32 +0000

freeradius (3.0.17+dfsg-1) unstable; urgency=medium

  * stop using pristine-tar
  * New upstream version 3.0.17+dfsg

 -- Michael Stapelberg <stapelberg@debian.org>  Mon, 07 Jan 2019 09:38:17 +0100

freeradius (3.0.16+dfsg-5) unstable; urgency=medium

  * Revert "Strip rpath from a few modules." (Closes: #911180)

 -- Michael Stapelberg <stapelberg@debian.org>  Fri, 14 Dec 2018 09:33:40 +0100

freeradius (3.0.16+dfsg-4.1) unstable; urgency=medium

  * Non-maintainer upload with permission.
  * Split out python2 freeradius module into a standalone package.
    (Closes: #900064)
  * Strip rpath from a few modules.
  * Drop upstart system jobs.
  * Update git vcs URLs to salsa.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Sep 2018 15:18:31 +0100

freeradius (3.0.16+dfsg-3ubuntu4) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Jan 2019 19:59:21 +0000

freeradius (3.0.16+dfsg-3ubuntu3) disco; urgency=medium

  * No-change rebuild against libhiredis0.14

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 12 Nov 2018 08:46:34 +0000

freeradius (3.0.16+dfsg-3ubuntu2) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:08:16 -0600

freeradius (3.0.16+dfsg-3ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: drop b-d on collectd, as it is in universe.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 May 2018 07:00:18 +0200

freeradius (3.0.16+dfsg-3) unstable; urgency=medium

  * Change default /etc/freeradius permission from 2751 to 2750 (Closes: #890933)

 -- Michael Stapelberg <stapelberg@debian.org>  Tue, 20 Mar 2018 07:52:46 +0100

freeradius (3.0.16+dfsg-2) unstable; urgency=medium

  * Remove sites-enabled/* from freeradius-config (Closes: #889593)

 -- Michael Stapelberg <stapelberg@debian.org>  Sun, 25 Feb 2018 16:25:54 +0100
