=== debian/changelog ===
freeradius (3.0.19+dfsg-3) unstable; urgency=medium

  * Drop collectd integration from freeradius-utils - temporarily?
    collectd is marked for autoremoval at the end of August due to three
    RC bugs that do not show any recent activity (Bug#925849, Bug#926528,
    Bug#932299). Additionally, depending on libcollectdclient pulls in
    (with Recommends on collectd) 200 additional binary packages. See
    Bug#933296.

 -- Bernhard Schmidt <berni@debian.org>  Wed, 21 Aug 2019 17:11:40 +0200

freeradius (3.0.19+dfsg-2) unstable; urgency=medium

  * Import upstream patch to fix atomics FTBFS on armel etc (Closes: #933634)
  * Fix wrong wnpp Bug# in previous changelog
  * Drop patch files already applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Thu, 01 Aug 2019 15:49:11 +0200

freeradius (3.0.19+dfsg-1) unstable; urgency=medium

  [ Sven Hartge ]
  * New upstream version 3.0.19+dfsg
  * Refresh and remove patches
    Removed:
     - disable-session-cache-CVE-2017-9148.patch
       Fixed Upstream
     - spelling-fixes.diff
       Applied Upstream
     - CVE-2019-11234-1.patch
     - CVE-2019-11234-2.patch
       Fixed Upstream
  * Add Salsa CI pipeline

  [ Bernhard Schmidt ]
  * Adopt package, help welcome. Thanks to Michael Stapelberg for working on
    freeradius so far (Closes: #923034)
  * Drop Josip from Uploaders (Closes: #842469)
  * Drop Stephen Gran from Uploaders (Closes: #838404)
  * Fix sysvinit stop by supplying executable to killproc.
    Thanks to Benjamin Boudoir (Closes: #931920)
  * Move to debian (former collab-maint) namespace on Salsa for easier
    collaborative maintainership, adjust Vcs-* fields
  * Override missing-dep-for-interpreter lintian error on shipped sample
    files in freeradius-config

 -- Bernhard Schmidt <berni@debian.org>  Mon, 29 Jul 2019 22:25:30 +0200

freeradius (3.0.17+dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Cherry-Pick upstream commits to fix CVE-2019-11234 / CVE-2019-11235 /
    VU#871675 (Invalid Curve Attack and Reflection Attack on EAP-PWD, leading
    to authentication bypass) (Closes: #926958)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 22 Apr 2019 23:23:36 +0200
