=== debian/control ===
--- 
+++ 
@@ -33,17 +33,14 @@
  freetds-dev
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
-Uploaders: Josip Rodin <joy-packages@debian.org>,
- Stephen Gran <sgran@debian.org>,
- Mark Hymers <mhy@debian.org>,
+Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
+Uploaders: Mark Hymers <mhy@debian.org>,
  Sam Hartman <hartmans@debian.org>,
- Michael Stapelberg <stapelberg@debian.org>
+ Bernhard Schmidt <berni@debian.org>
 Standards-Version: 4.0.0
 Homepage: http://www.freeradius.org/
-Vcs-Git: https://salsa.debian.org/freeradius-team/freeradius.git
-Vcs-Browser: https://salsa.debian.org/freeradius-team/freeradius
+Vcs-Git: https://salsa.debian.org/debian/freeradius.git
+Vcs-Browser: https://salsa.debian.org/debian/freeradius
 
 Package: freeradius
 Architecture: any
