## freeradius 3.0.20%2Bdfsg

=== debian/tests/control ===
Tests: freeradius daemon clients
Depends: freeradius, freeradius-utils, python3, lsb-release
Restrictions: needs-root

Tests: rlm_python3-test
Depends: freeradius, freeradius-python3, freeradius-utils
Restrictions: needs-root
