=== debian/changelog ===
freeradius (3.0.20+dfsg-3ubuntu0.4) focal-security; urgency=medium

  * SECURITY UPDATE: forgery attack via MD5 collision (Blast-RADIUS)
    - debian/patches/CVE-2024-3596-*.patch: backport changes to require
      Message-Authenticator in all Access-* packets.
    - debian/tests/rlm_python3-data/ubuntu_example.py.mods-config: adjust
      offsets to handle Message-Authenticator.
    - CVE-2024-3596

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Sep 2024 09:37:32 -0400

freeradius (3.0.20+dfsg-3ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: null pointer dereference in eap-sim module
    - debian/patches/CVE-2022-41860.patch: add sanity checks in
      eapsimlib.c
    - CVE-2022-41860
  * SECURITY UDPATE: DoS using abinary attribute
    - debian/patches/CVE-2022-41861.patch: fix abinary attribute checks
    - CVE-2022-41861

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 04 Jan 2023 08:52:36 +0530

freeradius (3.0.20+dfsg-3ubuntu0.1) focal; urgency=medium

  * Fix loading of rlm_python3 (LP: #1873923):
    - d/p/py3.8-libname-fix.patch: fix the python library name that
      freeradius is looking for when loading the rlm_python3 module
    - d/p/dont_call_undeclared.patch: don't attempt to load the python
      module if "instantiate" and "detach" are not declared
    - Add test for rlm_python3
      + d/t/control: new rlm_python3 test
      + d/t/rlm_python3-test: test the rlm_python3 module
      + d/t/rlm_python3-data/*: test files
  * d/t/test-freeradius.py: test more authentication mechanisms
    (cherry-picked from Ubuntu 22.04)
  * d/t/freeradius: run python tests in verbose mode

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 14 Apr 2022 17:32:00 -0300

freeradius (3.0.20+dfsg-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:11:13 +0000

freeradius (3.0.20+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Bernhard Schmidt <berni@debian.org>  Mon, 09 Dec 2019 23:42:23 +0100

freeradius (3.0.20+dfsg-2) experimental; urgency=medium

  * Drop freeradius-python2, build experimental freeradius-python3
    (Closes: #936558)
  * Switch run-time tests to python3
  * Build with systemd support, use Type=notify in systemd unit
    (Closes: #920345)
  * Bump Standards-Version to 4.4.1, no changes needed

 -- Bernhard Schmidt <berni@debian.org>  Fri, 29 Nov 2019 23:54:37 +0100

freeradius (3.0.20+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.20+dfsg
  * Fix reload action on sysvinit (Closes: #940608)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 29 Nov 2019 18:03:07 +0100
