=== debian/control ===
--- 
+++ 
@@ -19,13 +19,14 @@
  libsasl2-dev,
  libsqlite3-dev,
  libssl-dev,
+ libsystemd-dev,
  libtalloc-dev,
  libwbclient-dev,
  libyubikey-dev,
  libykclient-dev,
  libmemcached-dev,
  libhiredis-dev,
- python-dev,
+ python3-dev,
  samba-dev | samba4-dev,
  libpcre3-dev,
  snmp,
@@ -33,11 +34,12 @@
  freetds-dev
 Section: net
 Priority: optional
-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Hymers <mhy@debian.org>,
  Sam Hartman <hartmans@debian.org>,
  Bernhard Schmidt <berni@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.4.1
 Homepage: http://www.freeradius.org/
 Vcs-Git: https://salsa.debian.org/debian/freeradius.git
 Vcs-Browser: https://salsa.debian.org/debian/freeradius
@@ -47,7 +49,7 @@
 Depends: lsb-base (>= 3.1-23.2), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}, freeradius-common, freeradius-config, libfreeradius3 (= ${binary:Version})
 Provides: radius-server
 Recommends: freeradius-utils
-Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5, snmp, freeradius-python2
+Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5, snmp, freeradius-python3
 Description: high-performance and highly configurable RADIUS server
  FreeRADIUS is a high-performance RADIUS server with support for:
   - Authentication by local files, SQL, Kerberos, LDAP, PAM, and more.
@@ -188,11 +190,14 @@
  This package is required to add Yubikey functionality to the
  FreeRADIUS server.
 
-Package: freeradius-python2
+Package: freeradius-python3
 Architecture: any
 Depends: freeradius (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
 Breaks: freeradius (<< 3.0.16+dfsg-4~)
 Replaces: freeradius (<< 3.0.16+dfsg-4~)
-Description: Python 2 module for FreeRADIUS server
- This package is required to add Python 2 functionality to the
+Description: Python 3 module for FreeRADIUS server
+ This package is required to add Python 3 functionality to the
  FreeRADIUS server.
+ .
+ It was introduced in FreeRADIUS 3.0.20 as EXPERIMENTAL module. Use at
+ your own risk.
