## freeradius 3.0.21%2Bdfsg

=== debian/changelog ===
freeradius (3.0.21+dfsg-2) unstable; urgency=medium

  * Cherry-Pick upstream fixes to build with Python3.8 (Closes: #966860)
  * Drop migration code for versions earlier than oldstable (Squeeze)
  * Temporarily collectd integration (again) due to RC bugs
  * Bump to debhelper compat 10

 -- Bernhard Schmidt <berni@debian.org>  Mon, 24 Aug 2020 10:46:49 +0200

freeradius (3.0.21+dfsg-1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * New upstream version 3.0.21+dfsg
  * Sync freeradius.service with upstream, notable changes
    - run as unprivileged user freerad
    - use RuntimeDirectory (Closes: #954911)
    - set ReadOnlyDirectories to the configuration (Closes: #955206)
    - set some Protect* settings
    - enable reloading the configuration
  * Enable the control-socket site in autopkgtest and attempt a connection
    to validate the fix for #954911
  * Reenable collectd integration, it does not pull in the world anymore
    on sid, thanks to Bernd Zeimetz (Closes: #948996)

  [ Sven Hartge ]
  * d/freeradius.service: Drop manual chown, not necessary

 -- Bernhard Schmidt <berni@debian.org>  Wed, 01 Apr 2020 14:21:17 +0200
